/*
 * I2C_Software.h
 *
 *  Created on: Oct 20, 2023
 *      Author: Author: JM_Palomino
 */

#ifndef I2C_SOFTWARE_H_
#define I2C_SOFTWARE_H_

#define SCL     PTBDD_PTBDD4
#define SDA     PTBDD_PTBDD5
#define SCL_IN  PTBD_PTBD4
#define SDA_IN  PTBD_PTBD5

unsigned int i2c_Read(char NACK);
void i2c_Write(unsigned int data);
void i2c_Stop(void);
void i2c_Start(void);
void delay_i2c(void);
void SCL_HIGH(void);
void SDA_HIGH(void); 
void SDA_LOW(void); 
void SCL_LOW(void);

#endif /* I2C_SOFTWARE_H_ */
